com.sun.jna.platform.unix.solaris

## Class Kstat2.Kstat2NV

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.solaris.Kstat2.Kstat2NV

Enclosing interface:
  Kstat2

    @Structure.FieldOrder(value={"name","type","kind","flags","data"})
    public static class Kstat2.Kstat2NV
    extends Structure

Immutable Name/Value pair.

### Nested Class Summary

Nested Classes
`static class` `Kstat2.Kstat2NV.UNION`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`Kstat2.Kstat2NV.UNION` `data`
`short` `flags`
`byte` `kind`
`java.lang.String` `name`
`byte` `type`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`Kstat2NV()`
`Kstat2NV(Pointer p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read()` Reads the fields of the struct from native memory

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### type

    public byte type

#### kind

    public byte kind

#### flags

    public short flags

#### data

    public Kstat2.Kstat2NV.UNION data

### Constructor Detail

#### Kstat2NV

    public Kstat2NV()

#### Kstat2NV

    public Kstat2NV(Pointer p)

### Method Detail

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.